Bug 203554 - a -devel package should be split + missing requires
a -devel package should be split + missing requires
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks: 225810
  Show dependency treegraph
 
Reported: 2006-08-22 09:41 EDT by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-21 22:53:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-08-22 09:41:48 EDT
Description of problem:

The include files, .so, .a and pkgconfig files should be in a 
-devel package. This devel package should depend on the right
-devel packages for the include files required by the shipped
include files (like dbus-glib-devel, libglade2-devel maybe more,
maybe less).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Patrice Dumas 2006-11-17 11:03:41 EST
Maybe it is the right time to make that change
such that it leaves time to workaround things that break?

The -devel package should also 
Requires: pkgconfig
Comment 2 Matthias Clasen 2006-11-17 12:29:56 EST
why break things in the first place ?
Comment 3 Patrice Dumas 2006-11-17 12:41:42 EST
See Bug 203547 for a similar case, and explanations.
In that case there are missing requires of -devel packages, 
and we don't want gnome-applets to bring in -devel packages.
Comment 4 Matthias Clasen 2007-04-17 21:07:35 EDT
Too late for this kind of breakage-inducing change for F7 now. 
Comment 5 Matthias Clasen 2007-05-21 22:53:48 EDT
Fixed in 2.18.0-8.fc8

Note You need to log in before you can comment on or make changes to this bug.